SD-WAN Policy Groups

Endpoint Description
https://{gateway_url}/dataservice/v1/policy-group List Policy Groups
https://{gateway_url}/dataservice/v1/policy-group/{policygroup_id} Update Policy Group
https://{gateway_url}/dataservice/v1/policy-group/{policygroup_id} Delete Policy Group
https://{gateway_url}/dataservice/v1/policy-group/{policygroup_id}/device/variables Get Variables for Policy Group
https://{gateway_url}/dataservice/v1/policy-group/{policygroup_id}/device/variables Create Variables for Policy Group
https://{gateway_url}/dataservice/v1/policy-group/{policygroup_id}/device/deploy Deploy the Policy Group

For information about generating your SD-WAN Manager API Gateway URL and SD-WAN Manager Cross-Site Request Forgery (CSRF) access token, see SASE Authorization.

To get the identifiers of the Policy Groups in the organization, see List Policy Groups.

List Policy Groups

List the details for the Policy Groups, which includes the policy group ID.

GET https://{gateway_url}/dataservice/v1/policy-group

Prerequisites

  • gateway_url: The URL of the SD-WAN Manager API gateway URL.
  • apikey: The API key for the SD-WAN Manager organization.
  • xsrf_token: The SD-WAN Manager CSRF access token.

Request

curl --request GET \
  --url https://{gateway_url}/dataservice/v1/policy-group \ 
  --header 'Authorization: Bearer {apikey}' \ 
  --header 'Content-type: application/json' \ 
  --header 'X-xsrf-token: {xsrf_token}'

Response

[
  {
    "id": "adc30431-4135-48b4-8ae7-03200b073485",
    "name": "PG_EU",
    "description": "",
    "source": null,
    "solution": "sdwan",
    "lastUpdatedBy": "user@cisco.com",
    "lastUpdatedOn": 1773879442095,
    "createdBy": null,
    "createdOn": null,
    "profiles": [
      {
        "id": "48ff42b5-01cc-4a36-bbf7-30d28b7d4b5a",
        "name": "AAR_EU",
        "solution": "sdwan",
        "type": "application-priority",
        "description": null,
        "lastUpdatedBy": "user@cisco.com",
        "lastUpdatedOn": 1771533475791,
        "createdBy": "user@cisco.com",
        "createdOn": 1771416575523,
        "profileParcelCount": 3,
        "origin": null
      },
      {
        "id": "458366e3-fd23-40c3-8bd3-26d31d8fd652",
        "name": "Default_Policy_Object_Profile",
        "solution": "sdwan",
        "type": "policy-object",
        "description": null,
        "lastUpdatedBy": "user@cisco.com",
        "lastUpdatedOn": 1773933098632,
        "createdBy": "system",
        "createdOn": 1770268934909,
        "profileParcelCount": 50,
        "origin": null
      }
    ],
    "version": 28,
    "state": null,
    "devices": [],
    "numberOfDevices": 1,
    "numberOfDevicesUpToDate": 0,
    "origin": "user",
    "copyInfo": null,
    "originInfo": null
  },
  {
    "id": "d83f9b15-644e-4788-9b42-71b3bde5b923",
    "name": "PG_AMER",
    "description": "",
    "source": null,
    "solution": "sdwan",
    "lastUpdatedBy": "user@cisco.com",
    "lastUpdatedOn": 1773847783795,
    "createdBy": null,
    "createdOn": null,
    "profiles": [
      {
        "id": "fc59e096-e22f-4778-87ef-6d440bd6139d",
        "name": "LG_Delete_Me",
        "solution": "sdwan",
        "type": "sse",
        "description": null,
        "lastUpdatedBy": "user@cisco.com",
        "lastUpdatedOn": 1773847783242,
        "createdBy": "user@cisco.com",
        "createdOn": 1773847782959,
        "profileParcelCount": 1,
        "origin": null
      },
      {
        "id": "79bc83af-2f31-42dd-ac31-35f70c3ee989",
        "name": "AAR_AMER",
        "solution": "sdwan",
        "type": "application-priority",
        "description": null,
        "lastUpdatedBy": "user@cisco.com",
        "lastUpdatedOn": 1773341232164,
        "createdBy": "user@cisco.com",
        "createdOn": 1771449617350,
        "profileParcelCount": 6,
        "origin": null
      },
      {
        "id": "458366e3-fd23-40c3-8bd3-26d31d8fd652",
        "name": "Default_Policy_Object_Profile",
        "solution": "sdwan",
        "type": "policy-object",
        "description": null,
        "lastUpdatedBy": "user@cisco.com",
        "lastUpdatedOn": 1773933098632,
        "createdBy": "system",
        "createdOn": 1770268934909,
        "profileParcelCount": 50,
        "origin": null
      }
    ],
    "version": 56,
    "state": null,
    "devices": [],
    "numberOfDevices": 1,
    "numberOfDevicesUpToDate": 0,
    "origin": "user",
    "copyInfo": null,
    "originInfo": null
  },
  {
    "id": "e68ac0fc-7f24-4178-8a99-0926c4aaff4e",
    "name": "PG_UK",
    "description": "",
    "source": null,
    "solution": "sdwan",
    "lastUpdatedBy": "user@cisco.com",
    "lastUpdatedOn": 1773441194042,
    "createdBy": null,
    "createdOn": null,
    "profiles": [
      {
        "id": "a4714188-e0ad-4ce1-91e5-99fd4c943929",
        "name": "SIA_2T",
        "solution": "sdwan",
        "type": "sse",
        "description": null,
        "lastUpdatedBy": "user@cisco.com",
        "lastUpdatedOn": 1771420899056,
        "createdBy": "user@cisco.com",
        "createdOn": 1771099983012,
        "profileParcelCount": 1,
        "origin": null
      },
      {
        "id": "6df82334-2f59-467f-9a9c-ebd6203423c1",
        "name": "PG_UK_AAR_EU",
        "solution": "sdwan",
        "type": "application-priority",
        "description": null,
        "lastUpdatedBy": "user@cisco.com",
        "lastUpdatedOn": 1773441155258,
        "createdBy": "user@cisco.com",
        "createdOn": 1772641261813,
        "profileParcelCount": 6,
        "origin": null
      },
      {
        "id": "458366e3-fd23-40c3-8bd3-26d31d8fd652",
        "name": "Default_Policy_Object_Profile",
        "solution": "sdwan",
        "type": "policy-object",
        "description": null,
        "lastUpdatedBy": "user@cisco.com",
        "lastUpdatedOn": 1773933098632,
        "createdBy": "system",
        "createdOn": 1770268934909,
        "profileParcelCount": 50,
        "origin": null
      }
    ],
    "version": 16,
    "state": null,
    "devices": [],
    "numberOfDevices": 1,
    "numberOfDevicesUpToDate": 1,
    "origin": "user",
    "copyInfo": null,
    "originInfo": null
  },
  {
    "id": "5aa455de-cd06-4c94-82c7-bae58b608335",
    "name": "PG_Darkhill",
    "description": "",
    "source": null,
    "solution": "sdwan",
    "lastUpdatedBy": "user@cisco.com",
    "lastUpdatedOn": 1774347568115,
    "createdBy": null,
    "createdOn": null,
    "profiles": [
      {
        "id": "21d247ed-3e08-491c-ba15-00ae207e7b68",
        "name": "API-SSE-SIA-2T",
        "solution": "sdwan",
        "type": "sse",
        "description": null,
        "lastUpdatedBy": "user@cisco.com",
        "lastUpdatedOn": 1774347548754,
        "createdBy": "user@cisco.com",
        "createdOn": 1774347489821,
        "profileParcelCount": 1,
        "origin": null
      },
      {
        "id": "e639f561-bf15-48a8-9b70-9ef8161c9ca5",
        "name": "API_SPA2T",
        "solution": "sdwan",
        "type": "sse-spa",
        "description": null,
        "lastUpdatedBy": "user@cisco.com",
        "lastUpdatedOn": 1774347533131,
        "createdBy": "user@cisco.com",
        "createdOn": 1774347508246,
        "profileParcelCount": 1,
        "origin": null
      },
      {
        "id": "5455895f-2566-417d-a0f1-aacee75e9cfd",
        "name": "PG_Darkhill_AAR_EU",
        "solution": "sdwan",
        "type": "application-priority",
        "description": null,
        "lastUpdatedBy": "user@cisco.com",
        "lastUpdatedOn": 1773933099993,
        "createdBy": "user@cisco.com",
        "createdOn": 1773933044587,
        "profileParcelCount": 6,
        "origin": null
      },
      {
        "id": "458366e3-fd23-40c3-8bd3-26d31d8fd652",
        "name": "Default_Policy_Object_Profile",
        "solution": "sdwan",
        "type": "policy-object",
        "description": null,
        "lastUpdatedBy": "user@cisco.com",
        "lastUpdatedOn": 1773933098632,
        "createdBy": "system",
        "createdOn": 1770268934909,
        "profileParcelCount": 50,
        "origin": null
      }
    ],
    "version": 17,
    "state": null,
    "devices": [],
    "numberOfDevices": 1,
    "numberOfDevicesUpToDate": 0,
    "origin": "user",
    "copyInfo": null,
    "originInfo": null
  } 
]

Update Policy Group

Add Secure Internet Access or Secure Private Access profiles in the Policy Group. Provide the UUIDs of the profiles in the body of the API request.

PUT https://{gateway_url}/dataservice/v1/policy-group/{policygroup_id}

Prerequisites

  • gateway_url: The URL of the SD-WAN Manager API gateway.
  • apikey: The API key for the SD-WAN Manager organization.
  • xsrf_token: The SD-WAN Manager CSRF access token.
  • policygroup_id: The identifier of the Policy Group.
    • To get the identifiers of the Policy Groups in the organization, see List Policy Groups.

Required Fields in Request Body

Collect the identifiers (UUIDs) of the profiles for the Policy Group.

  1. Get the profiles in the Policy Groups. For more information, see List Policy Groups .
  2. In the response, for each Policy Group, navigate to the list of profiles, search for the id of the profile, and then copy the value of the id field.
  3. Set the value of id for the profile in the request body of the SD-WAN Manager API.

Request

curl --request PUT \
  --url https://{gateway_url}/dataservice/v1/policy-group/{policygroup_id}
  --header 'Authorization: Bearer {apikey}' \
  --header 'Content-Type: application/json' \
  --header 'X-xsrf-token: {xsrf_token}' \
  --data '{
    "name": "name of SD-WAN profile",
    "description": "description of SD-WAN profile",
    "solution": "sdwan",
    "profiles": [
        {
            "id": "5455895f-2566-417d-a0f1-aacee75e9cfd"
        }
    ]
}'

Response

{
    "id": "5455895f-2566-417d-a0f1-aacee75e9cfd"
}

Delete Policy Group

Delete the Policy Group and the Secure Internet Access profiles or Secure Private Access profiles in the Policy Group.

DELETE https://{gateway_url}/dataservice/v1/policy-group/{policygroup_id}

Prerequisites

  • gateway_url: The URL of the SD-WAN Manager API gateway.
  • apikey: The API key for the SD-WAN Manager organization.
  • xsrf_token: The SD-WAN Manager CSRF access token.
  • policygroup_id: The identifier of the Policy Group.
    • To get the identifiers of the Policy Groups in the organization, see List Policy Groups.

Request

curl --request DELETE \
  --url https://{gateway_url}/dataservice/v1/policy-group/{policygroup_id} \
  --header 'Authorization: Bearer {apikey}' \
  --header 'Content-Type: application/json' \
  --header 'X-xsrf-token: {xsrf_token}'

Response

HTTP 200/Success

List Variables for Policy Group

List the variables, device ID, and groups for the devices in the Policy Group.

GET https://{gateway_url}/dataservice/v1/policy-group/{policygroup_id}/device/variables

Prerequisites

  • gateway_url: The URL of the SD-WAN Manager API gateway.
  • apikey: The API key for the SD-WAN Manager organization.
  • xsrf_token: The SD-WAN Manager CSRF access token.
  • policygroup_id: The identifier of the Policy Group.
    • To get the identifiers of the Policy Groups in the organization, see List Policy Groups.

Request

curl --request GET \
  --url https://{gateway_url}/dataservice/v1/policy-group/{policygroup_id}/device/variables \
  --header 'Authorization: Bearer {apikey}' \
  --header 'Content-Type: application/json' \
  --header 'X-xsrf-token: {xsrf_token}'

Response

{
  "family": "sdwan",
  "devices": [
    {
      "device-id": "C1111-8PWE-FCZ2504R2BA", 
      "variables": [
        {
          "name": "tracker_Src_IP"
        }
      ]
    }
  ],
  "groups": [
    {
      "name": "PG_Darkhill",
      "group-variables": []
    }
  ]
} 

Create Variables for Policy Group

Set the variables for the list of devices in the Policy Group. Provide the device ID and list of variables (name and value) for each device.

PUT https://{gateway_url}/dataservice/v1/policy-group/{policygroup_id}/device/variables

Prerequisites

  • gateway_url: The URL of the SD-WAN Manager API gateway.
  • apikey: The API key for the SD-WAN Manager organization.
  • xsrf_token: The SD-WAN Manager CSRF access token.
  • policygroup_id: The identifier of the Policy Group.
    • To get the identifiers of the Policy Groups in the organization, see List Policy Groups.

Required Fields in Request Body

Collect the identifiers (UUIDs) and settings of the devices for the Policy Group.

  1. Get the devices in the Policy Groups. For more information, see Get Variables for Policy Groups .
  2. In the response, navigate to the list of devices, search for the device_id of the profile, and then copy the value of the id field.
  3. Set the value of device_id and list of variables (name, value) for the devices in the Policy Group.

Request

curl --request PUT \
  --url https://{gateway_url}/dataservice/v1/policy-group/{policygroup_id}/device/variables \
  --header 'Authorization: Bearer {apikey}' \
  --header 'Content-Type: application/json' \
  --header 'X-xsrf-token: {xsrf_token}' \
  --data '{
    "solution": "sdwan",
    "devices": [
        {
            "device-id": "C1111-8PWE-FCZ2504R2BA",
            "variables": [
                {
                    "name": "tracker_Src_IP",
                    "value": "192.168.126.5"
                }
            ]
        }
    ]
}'

Response

[
  {
    "device-id": "C1111-8PWE-FCZ2504R2BA"
  }
]

Deploy Policy Group

Activate the Policy Group for the devices in the SASE organization.

POST https://{gateway_url}/dataservice/v1/policy-group/{policygroup_id}/device/deploy

Prerequisites

  • gateway_url: The URL of the SD-WAN Manager API gateway.
  • apikey: The API key for the SD-WAN Manager organization.
  • xsrf_token: The SD-WAN Manager CSRF access token.
  • policygroup_id: The identifier of the Policy Group.
    • To get the identifiers of the Policy Groups in the organization, see List Policy Groups.

Required Fields in Request Body

Collect the identifiers (UUIDs) of the devices for the Policy Group.

  1. Get the devices in the Policy Groups. For more information, see Get Variables for Policy Groups .
  2. In the response, navigate to the list of devices, search for the device_id of the profile, and then copy the value of the id field.
  3. Set the value of id for the devices in the Policy Group.

Request

curl --request POST \
  --url https://{gateway_url}/dataservice/v1/policy-group/{policygroup_id}/device/deploy \
  --header 'Authorization: Bearer {apikey}' \
  --header 'Content-type: application/json' \
  --header 'X-xsrf-token: {xsrf_token}' \
  --data '{
    "devices": [
        {
            "id": "C1111-8PWE-FCZ2504R2BA"
        }
    ]
}'

Response

The parentTaskId is the identifier of the deployment task that runs in the SD-WAN Manager.

{
  "parentTaskId": "deploy_policy_group-4de5d141-81e4-40ba-b2ff-c22c35c4e988"
}